# TrueFalseQuestion.java

/home/caleb/ASDV-Java/Semester 2/Assignments/lab2_CalebFontenot/src/main/java/com/calebfontenot/lab5_calebfontenot/TrueFalseQuestion.java

    /*
     * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
     * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
     */
    package com.calebfontenot.lab5_calebfontenot;

    import java.util.Date;

    /**
     *
     * @author caleb
     */
    public class TrueFalseQuestion {

        private String question;
        private boolean isTrue;
        private Date whenLastUsed;

        public TrueFalseQuestion(){}
        public TrueFalseQuestion(String question, boolean isTrue, Date whenLastUsed) {
            this.question = question;
            this.isTrue = isTrue;
            this.whenLastUsed = whenLastUsed;
        }

        /**
         * Get the value of whenLastUsed
         *
         * @return the value of whenLastUsed
         */
        public Date getWhenLastUsed()
        {
            return whenLastUsed;
        }

        /**
         * Set the value of whenLastUsed
         *
         * @param whenLastUsed new value of whenLastUsed
         */
        public void setWhenLastUsed(Date whenLastUsed)
        {
            this.whenLastUsed = whenLastUsed;
        }

        /**
         * Get the value of isTrue
         *
         * @return the value of isTrue
         */
        public boolean isIsTrue()
        {
            return isTrue;
        }

        /**
         * Set the value of isTrue
         *
         * @param isTrue new value of isTrue
         */
        public void setIsTrue(boolean isTrue)
        {
            this.isTrue = isTrue;
        }

        /**
         * Get the value of question
         *
         * @return the value of question
         */
        public String getQuestion()
        {
            return question;
        }

    /**Sets the question to a new question.
     *
     * @param question the new question
     */
        public void setQuestion(String question)
        {
            this.question = question;
        }

    }